package com.ruoyi.benyun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.benyun.entity.BrandZone;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BrandZoneDao extends BaseMapper<BrandZone> {
    List<BrandZone> searchByBrandId(String brandId);
    List<BrandZone> searchByMulti(List<String> addrCodes,List<String> industryCodes,List<String> brandIds);
    void insertAll(@Param("brandZones") List<BrandZone> brandZones);
    Integer searchProvinceCountByBrandId(String brandId);
    Integer searchCityCountByBrandId(String brandId);
    Integer searchZoneCountByBrandId(String brandId);
    List<String> searchStatedBrandIds(@Param("month") String month);
    List<BrandZone> searchQuicklyStatistics(@Param("ins") List<String> ins);
    List<String> selectIns();
}
